Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.ui
Class MDIManager.DockablePanel

    java.lang.Object
      jpicedt.ui.MDIManager.DockablePanel

Enclosing class:
  MDIManager

public class MDIManager.DockablePanel
extends Object

A wrapper for dockable panels, e.g. the attribute editor or the toolkit palette. The UI is rendered by a MDIComponent delegate (see `getMDIDelegate`) that is created at init time by relying on the factory method `createMDIComponent`.

Constructor Summary
`MDIManager.DockablePanel(JPanel pane, String key)`

Method Summary
`MDIManager.MDIComponent` | `getMDIDelegate()` returns the MDIComponent that renders the UI of this DockablePanel
`void` | `setVisible(boolean v)` set the visible state of this DockablePanel, first trying to fetch the geometrical aspect from the Properties object given in the constructor.
`void` | `toggleVisible()` returns true if this DockablePanel is currently visible public boolean isVisible(){ return mdiComponent.isVisible(); }

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MDIManager.DockablePanel

    public MDIManager.DockablePanel(JPanel pane,
                                    String key)

Parameters:
  `pane` - the content of this DockablePanel
  `key` - used to set the title (after proper i18n'ing) of the MDIComponent which renders the UI, and for building keys used to retrieve the geometry from JPicEdt's preferences.

Method Detail

### getMDIDelegate

    public MDIManager.MDIComponent getMDIDelegate()

  returns the MDIComponent that renders the UI of this DockablePanel

### toggleVisible

    public void toggleVisible()

  returns true if this DockablePanel is currently visible public boolean isVisible(){ return mdiComponent.isVisible(); }

### setVisible

    public void setVisible(boolean v)

  set the visible state of this DockablePanel, first trying to fetch the geometrical aspect from the Properties object given in the constructor. This is done on first call only (see "packed" flag).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org